<?php

/**
 * @file
 * Contains post update hooks.
 */

declare(strict_types=1);

/**
 * Clear any pending deployment queues due to the data format change.
 */
function preview_site_post_update_clear_deployment_queue(): void {
  foreach (\Drupal::entityTypeManager()->getStorage('preview_site_build')->getQuery()->accessCheck(FALSE)->execute() as $id) {
    $queue = \Drupal::queue('preview_site_deploy:', $id);
    $queue->deleteQueue();
  }
}
